<!DOCTYPE html>
<html>
    {% load static %}
    {% load webpush_notifications %}
    <head>
        <meta charset="UTF-8">
        <title>SiSC Contacts - Upload Contacts</title>
	<link rel="icon" href="../static/images/sisc.png">
        <!-- Responsiveness -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Dependecies -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="../static/css/bootstrap.min.css">
        <link rel="stylesheet" href="../static/css/design.css">
        <link rel="stylesheet" href="../static/css/navbar.css">
        <link rel="stylesheet" href="../static/css/list.css">
        <link rel="stylesheet" href="../static/css/toastr.min.css">
        {% webpush_header %}
    </head>
    <body style="background-image:url('../static/images/25.png')">
    <!-- Navbar Starts -->
       <div id="mySidenav" class="sidenav">
           <a href="{% url 'api:main' %}">
                <img class="logo" src="../static/images/sisc.png" />
            </a>
          <a href="{% url 'api:main' %}"><b>Departamente</b></a>
          <a href="{% url 'api:search' %}"><b>Search</b></a>
           {% if cUser %}
           <a href="{% url 'api:contact' cUser %}"><b>Profil</b></a>
           {% endif %}
          {% if request.user.is_staff %}
          <a class="active" href="{% url 'api:list' %}"><b>Upload</b></a>
          <a target="_blank" href="{% url 'admin:index' %}"><b>Admin</b></a>
          {% endif %}
          <a href="{% url 'api:logout' %}"><b>Logout</b></a>
       </div>
        <div id="main">
            <div class="container-fluid">
                <div id="navbar" class="navbar-colored row">
                    <div class="col-12 col-sm-12">
                        <p id="nav-icon1" class="mt-3" onclick="openNav()"><span></span><span></span><span></span></p>
                        <span id="title" class="title" style="float:right;">Upload</span>
                    </div>
                </div>
                <div class="row mt-5 min-width">
                    <div class="col-sm-6 table-container">
                        {% if documents %}
                            <table class="table table-hover table-stripped">
                                <tr>
                                    <td>File</td>
                                    <td>Person</td>
                                    <td>Time</td>
                                </tr>
                                {% for document in documents %}
                                    <tr>
                                        <td><a href="{% url 'api:download' %}">{{ document.docfile.name }}</a></td>
                                        <td>{{ document.uploader }}</td>
                                        <td>{{ document.time }}</td>
                                    </tr>
                                {% endfor %}
                            </table>
                        {% else %}
                            <h3>No document was uploaded</h3>
                        {% endif %}
                        <div class="col-sm-12 card">
                            <div class="row">
                                <div class="col-sm-12">
                                    {{ form.non_field_errors }}
                                    <form action="{% url 'api:list' %}" method="post" enctype="multipart/form-data">
                                        {% csrf_token %}
                                        <span> {{form}}</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <span><input class="btn btn-primary" type="submit" value="Upload File" /></span>
                                    </form>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    {% if messages %}
                                        <ul class="messages" style="list-style:none">
                                    {% for message in messages %}
                                        <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                                    {% endfor %}
                                        </ul>
                                    {% endif %}
                                    <a class="btn btn-primary" href="{% url 'api:test' %}">Upload Database</a>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 card">
                            <div class="row">
                                <div class="col-sm-12">
                                    <h3>Send Notification</h3>
                                </div>
                            </div>
                            <div class="row">
                                    <form id="notification-form" class="notification-form" action="{% url 'api:push'%}" method="post" enctype="multipart/form-data">
                                        {% csrf_token %}
                                        <span> {{ notification_form.as_p }}</span>
                                        <input class="btn btn-primary" type="submit" value="Send notification">
                                    </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <!--Navbar and it's moveable content end -->

            <script src="../static/js/jquery-3.3.1.min.js"></script>
            <script src="../static/js/navbar.js"></script>
            <script src="../static/js/structure.js"></script>
            <script src="../static/js/toastr.min.js"></script>
            <script src="{% static 'js/list.js' %}"></script>
     </body>
</html>
